package com.heyu.api.data.service.device;
/**
* <p>
* 闹钟记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceAlarmClockRecordEntity;
public interface DeviceAlarmClockRecordService extends IService<DeviceAlarmClockRecordEntity> {



	DeviceAlarmClockRecordEntity selectDeviceAlarmClockRecordById(Long id);


	Long insertDeviceAlarmClockRecord(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	Long insertOrUpdateDeviceAlarmClockRecord(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	int updateDeviceAlarmClockRecordById(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	int updateCoverDeviceAlarmClockRecordById(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	int deleteDeviceAlarmClockRecordById(Long id);


}